@echo off
rem  **************************************************************************
rem  **                                                                      **
rem  **         Installation Batch File:                                     **
rem  **               VORTEK  cards                                            **
rem  **                     and                                              **
rem  **                 Cadkey 3.55                                          **
rem  **                 Cadkey 386                                           **
rem  **                 Cadkey 4.0                                           **
rem  **                     or                                               **
rem  **                 DataCAD 4.0                                          **
rem  **                                                                      **
rem  **************************************************************************
cd \
cls
echo Integrated Information Technology
echo Device Driver Install Disk
echo for Cadkey and/or DataCAD
if NOT EXIST install.bat goto Continue
if NOT EXIST ck_agx.exe goto Continue
c:
echo Searching for Cadkey products on drive C:
goto inst_DCAD
:Continue
echo Searching for Cadkey products on the default drive
:inst_DCAD
if NOT EXIST \mtec\dcad.exe goto inst_CK
rem install the dataCAD files here...
echo Please wait for a moment while the files are transfered...
echo .
rename \mtec\drv\drivers.gd2 drivers2.bak
echo   .
copy \mtec\drv\drivers2.bak+a:\drivers.gd2 \mtec\drv\drivers.gd2 > a:inst.st
echo     .
copy a:\ck_agx.exe \mtec\drv\ck_agx.exe > a:inst.st
echo       .
echo File transfers complete. To finish configuring DataCAD, the
echo DataCAD configuration program must be run to tell DataCAD about
echo these new drivers. 
echo .
echo To cancel the config program, press ^C now, or
pause
cd \mtec
config
echo .
echo DATACAD driver installation complete
goto All_Done
:inst_CK
if NOT EXIST \cadkey\cadkey.exe goto All_Done
rem install the CADKEY files here...
echo Please wait a moment while the driver files are transfered...
echo .
rename \cadkey\grdev.dat grdev.bak
echo  .
copy a:\grdev.dat+\cadkey\grdev.bak \cadkey\grdev.dat > a:inst.st
echo   .
copy a:\ck_agx.exe \cadkey > a:inst.st
echo    .
echo File transfers complete. To finish configuring CADKEY, the
echo CADKEY configuration program must be run in order to use
echo these new drivers. 
echo .
echo To cancel the config program, press ^C now, or
pause
cd \cadkey
config
echo .
echo CADKEY driver installation complete
goto All_Done
:USAGE
echo .
echo In order to be installed correctly, the following conditions must
echo be true:
echo .
echo   *   This install disk must be in drive A
echo   *   The CURRENT drive must contain Cadkey or DataCAD 
echo .
echo No other exceptions are allowed by this installation program.
echo .
echo To install in non-standard directories, please refer to the instructions
echo in this installation program. (A:\INSTALL.BAT)
goto end
:All_Done
if NOT EXIST a:inst.st goto USAGE
del a:inst.st
rem Here we will tell the user that installation is complete
rem 
echo VORTEK driver installation is now complete!
:end
