@echo off
rem  **************************************************************************
rem  **                                                                      **
rem  **         Installation Batch File:                                     **
rem  **                VORTEK Boards                                         **
rem  **                     and                                              **
rem  **                 VersaCAD 5.4                                         **
rem  **                    or                                                **
rem  **                 VersaCAD/386                                         **
rem  **                                                                      **
rem  **************************************************************************
cls
echo Device Driver Install Disk
echo for the:
echo VORTEK Boards
echo and:
echo  VersaCAD 5.4 &
echo  VersaCAD/386
echo .
echo Please wait a moment while I find which applications are installed...
echo .
rem
rem first, make certain we're not logged onto the A drive
rem 
if NOT EXIST install.bat goto CONTIN
if NOT EXIST readme.bat goto CONTIN
if NOT EXIST readme.doc goto CONTIN
rem 
rem since we are, lets go to the C: drive
rem 
c:
cd \
echo Searching for VersaCAD on C: drive
goto i_53
:CONTIN
echo Searching for VersaCAD on the default drive
cd \
:i_53
if EXIST a:\install.sta del a:\install.sta
if NOT EXIST \vcad53\v2d\v2d.exe goto i_54
echo VersaCAD 5.3 found
echo This version is not supported-
echo please consider upgrading to VersaCAD/Design or VersaCAD/386
echo VersaCAD 5.3 driver installation complete
:i_54
if NOT EXIST \vcad54\v2d\v2d.exe goto i_386
echo VersaCAD 5.4 (VersaCAD Design) found
echo please wait while files are copied
cd \vcad54
copy a:\vc2_agx.com vc2_agx.com > a:\install.sta
echo .
copy a:\vcad54.cfg s3_agx.cfg > a:\install.sta
echo  .
copy a:\vcad54.bat \vcad54.bat > a:\install.sta
echo   .
echo Please configure VersaCAD Design for "VORTEK "
echo and select either "Single Screen" or "Dual Screen" options
pause
enviro
echo VersaCAD Design driver installation complete
:i_386
if NOT EXIST \vcad386\v2d\v2d.exe goto All_Done
echo VersaCAD / 386 found
echo please wait while files are copied
cd \vcad386
copy a:\vc3_agx.com vc3_agx.com > a:\install.sta
echo .
copy a:\vcad386.cfg s3_agx.cfg > a:\install.sta
echo  .
copy a:\vcad386.bat \vcad386.bat > a:\install.sta
echo   .
echo Please configure VersaCAD/386 for "VORTEK "
echo and select either "Single Screen" or "Dual Screen" options
pause
enviro
echo VersaCAD/386 driver installation complete
goto All_Done
:USAGE
echo .
echo In order to be installed correctly, the following conditions must
echo be true:
echo .
echo   *   This install disk must be in drive A
echo   *   The install disk cannot be write protected
echo   *   The CURRENT drive must contain VersaCAD 5.3, VCAD 5.4 or VCAD/386
echo .
echo No other exceptions are allowed by this installation program.
echo .
echo To install in non-standard directories, please refer to the instructions
echo in the manual. (A:README.DOC)
goto end
:All_Done
rem 
rem Here we will tell the user that installation is complete
rem 
if NOT EXIST a:\install.sta goto USAGE
del a:\install.sta
copy a:remove.exe .
echo VORTEK  driver installation is now complete!
:end
